Bug 54782 - Memory Corruption errors - mpm_worker mod_perl
Summary: Memory Corruption errors - mpm_worker mod_perl
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: All (show other bugs)
Version: 2.2.15
Hardware: PC Linux
: P2 normal (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2013-04-02 08:12 UTC by David
Modified: 2018-11-07 21:08 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David 2013-04-02 08:12:39 UTC
I have been getting these errors in my apache logs on my server - it only happened once a day or every two days. Any idea what could be causing this? I dont even have an idea of where to start?

CentOS Linux 6.4
Apache version 2.2.15

See the full output of the error and backtrace here: http://pastebin.com/emUCQVzg

Here is another instance of the same kind of error: http://pastebin.com/Gg4HC1CU

And yet another: http://pastebin.com/1fRvM01R

Please advise if any other information is needed
Comment 1 Jeff Trawick 2013-04-02 12:06:54 UTC
mod_perl is the closest in proximity to the crash, not mod_fcgid.
(Did you think you were running your Perl code out of process via mod_fcgid?)
Comment 2 David 2013-04-02 13:24:17 UTC
ok - so mod_perl -anything I can do on my side to help prevent/fix this?
Comment 3 David Nielson 2014-02-21 20:39:31 UTC
The errors you're seeing sound an awful lot like synchronization problems. Is the code you're running thread-safe, and is your mod_perl configured to be thread-safe?

http://perl.apache.org/docs/2.0/user/intro/overview.html#Threads_Support

If your server can handle the switch, you can try mpm_prefork. If the crashes go away, then the code and/or configuration are not thread-safe and need to be properly audited.

If you need a threaded MPM, you might also consider altering your Perl software to run via CGI or FastCGI instead of through mod_perl.
Comment 4 William A. Rowe Jr. 2018-11-07 21:08:31 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.